
package de.ivu.elect.presentation.stimmzettel.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.stimmzettel.exchange.StimmzettelExportDescription;

public class StimmzettelExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StimmzettelExportDescription stimmzettelExportDescription;

  public StimmzettelExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return stimmzettelExportDescription;
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && isWahlMitStimmzettelSelected();
  }

  private boolean isWahlMitStimmzettelSelected() {
    return isWahlSelected() && !getSelectedWahl().isBegehren();
  }

  @Override
  public String getLabelKey() {
    return "stimmzettel.export.menu.item.label";
  }
}
